<ion-content padding>
  <div class="app">
    <div class="app-top">
      <ion-button (click)="toggleVisible()">toggle visible</ion-button>
      <ion-button (click)="toggleWeekends()">toggle weekends</ion-button>
      <ion-button (click)="gotoPast()">go to a date in the past</ion-button>
      (also, click a date/time to add an event)
    </div>
    <div class="app-calendar" *ngIf="calendarVisible">
      <full-calendar
        #meetingCalendar
        defaultView="dayGridMonth"
        [header]="{
          left: 'prev,next today',
          center: 'title',
          right: 'dayGridMonth,timeGridWeek,timeGridDay,listYear'
        }"
        [plugins]="calendarPlugins"
        [weekends]="calendarWeekends"
        [events]="calendarEvents"
        (dateClick)="handleDateClick($event)"
        [hiddenDays]="[5, 6]"
      ></full-calendar>
    </div>
  </div>
</ion-content>
